org.apache.xmlbeans.impl.common

## Class SniffedXmlInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - java.io.BufferedInputStream
      - - org.apache.xmlbeans.impl.common.SniffedXmlInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class SniffedXmlInputStream
    extends BufferedInputStream

### Field Summary

Fields
`static int` `MAX_SNIFFED_BYTES`

### Fields inherited from class java.io.BufferedInputStream

`buf, count, marklimit, markpos, pos`

### Fields inherited from class java.io.FilterInputStream

`in`

### Constructor Summary

Constructors
Constructor and Description
`SniffedXmlInputStream(InputStream stream)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getXmlEncoding()`

### Methods inherited from class java.io.BufferedInputStream

`available, close, mark, markSupported, read, read, reset, skip`

### Methods inherited from class java.io.FilterInputStream

`read`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAX_SNIFFED_BYTES

    public static final int MAX_SNIFFED_BYTES

See Also:
  Constant Field Values

### Constructor Detail

#### SniffedXmlInputStream

    public SniffedXmlInputStream(InputStream stream)
                          throws IOException

Throws:
  `IOException`

### Method Detail

#### getXmlEncoding

    public String getXmlEncoding()